<div id="contact" v-cloak>
  <div class="container">
    <h1 class="text-center">Get in touch</h1>
    <div class="contact-form" v-if="!cloudSuccess">
      <p class="text-center">Have a question for us?  Maybe some feedback?  We love talking to users about Trakit, and we're happy to answer questions about our pricing, roadmap, or business solutions.  Send us a note and we'll get back to you as soon as possible.</p>
      <hr/>
      <ajax-form action="deliverContactFormMessage" :syncing.sync="syncing" :cloud-error.sync="cloudError" @submitted="submittedForm()" :handle-parsing="handleParsingForm">
        <div class="form-group">
          <label for="full-name">Name</label>
          <input class="form-control" id="full-name" name="full-name" type="text"  :class="[formErrors.fullName ? 'is-invalid' : '']" v-model.trim="formData.fullName" placeholder="Sturgis P. Sturgeon" autocomplete="name" focus-first>
          <div class="invalid-feedback" v-if="formErrors.fullName">Please let us know what to call you.</div>
        </div>
        <div class="form-group">
          <label for="email-address">Email address</label>
          <input class="form-control" id="email-address" name="email-address" type="email"  :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" placeholder="sturgeon@example.com" autocomplete="email">
          <div class="invalid-feedback" v-if="formErrors.emailAddress">Please enter a valid email address.</div>
        </div>
        <div class="form-group">
          <label for="topic">Topic</label>
          <input class="form-control" id="topic" name="topic" type="text"  :class="[formErrors.topic ? 'is-invalid' : '']" v-model.trim="formData.topic" placeholder="Pricing question" autocomplete="none">
          <div class="invalid-feedback" v-if="formErrors.topic">Please choose a topic for your message.</div>
        </div>
        <div class="form-group">
          <label for="message">Message</label>
          <textarea class="form-control" id="message" name="message" :class="[formErrors.message ? 'is-invalid' : '']" v-model.trim="formData.message" placeholder="What is the difference between the &quot;Individual&quot; plan and the &quot;Professional&quot; plan?" autocomplete="none"></textarea>
          <div class="invalid-feedback" v-if="formErrors.message">Message cannot be empty.</div>
        </div>
        <p class="text-danger" v-if="cloudError"><small>An error occured while processing your request. Please check your information and try again, or <a href="/contact">contact support</a> if the error persists.</small></p>
        <div class="form-group">
          <ajax-button type="submit" :syncing="syncing" class="btn btn-dark btn-lg btn-block">Send message</ajax-button>
        </div>
      </ajax-form>
    </div>
    <div class="success-message" v-if="cloudSuccess">
      <p class="text-center">Thanks for reaching out!</p>
      <hr/>
      <p>We have received your message, and someone from our team will get back to you soon.</p>
    </div>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
